using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;
using tool;
namespace terminal
{
    internal static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Mutex instance = new Mutex(true, "MutexName", out bool createdNew);
            if (createdNew)
            {
                Application.Run(new MainForm());
                instance.ReleaseMutex();
            }
            else
            {
                Application.Exit();
            }




            //NumberMachine numberMachine = new NumberMachine("192.168.1.100");
            //numberMachine.Start();
            //Thread.Sleep(5000000);

        }
    }
}
